Subject: Re: Case sensitivity of Transfer-Codings

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 Feb 2012 13:40:56 +1100

We're working on a generic syntax for parameters; see <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/266>.

On 31/01/2012, at 4:02 PM, Bjoern Hoehrmann wrote:

> * Dave Bordoley wrote:
>> In version 18 of the draft spec it states that "All transfer-coding
>> values are case-insensitive." Its a little unclear whether this also
>> applies to the attribute/value pairs that make up a
>> transfer-parameter. In similar key/value pairs, attribute values tend
>> to be case insensitive while values are not. For instance, the spec
>> for media types states: "The type, subtype, and parameter attribute
>> names are case-insensitive.  Parameter values might or might not be
>> case-sensitive." It would be nice for the spec to state this
>> explicitly as well transfer-codings.
> 
> (FWIW, I thought this would be already very clear and looked up the
> section Dave Bordoley was missing, but upon further inspection, I do
> agree that there should be some text to this effect, or this should
> be organized differently, like having a generic definition that says
> parameter names are case-insensitive, for values see the individual
> parameter definition.)
> -- 
> Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
> Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
> 25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 
> 

--
Mark Nottingham   http://www.mnot.net/